[SCM] Installer for game data files branch, master, updated. d0e1257f1ca90d29cf2fc2c28eac02e40b4c6868

Jon Dowland jmtd at debian.org
Sat Apr 30 18:43:27 UTC 2011


The following commit has been merged in the master branch:
commit 2a266679540c99bd7c22827ea11c326be4a0f834
Merge: 20ee69faa770b98592b7d1681dc6230d339a06fd 7c4c9dcdd1eb28e6fb2c81de534fa30c9740bbac
Author: Jon Dowland <jmtd at debian.org>
Date:   Sat Apr 30 19:34:30 2011 +0100

    Merge branch 'quake'
    
    Conflicts:
    	Makefile
    	debian/changelog

diff --combined Makefile
index 8ca9197,6c3bf6a..a7a7ffa
--- a/Makefile
+++ b/Makefile
@@@ -1,6 -1,5 +1,6 @@@
  VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2-)
  DIRS := ./out ./build
 +LDLIBS = -ldynamite
  
  default: $(DIRS)
  	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION)
@@@ -10,14 -9,19 +10,20 @@@
  		LONG="Final Doom: TNT: Evilution" VERSION=$(VERSION)
  	make -f doom-common.mk IWAD=plutonia \
  		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION)
 -	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION)
 +	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
 +		CONTROLIN=heretic/DEBIAN/control.in \
 +		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic
- 	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered
- 	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) PACKAGE=quake-shareware
+ 	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered \
+ 		FOLDER=id1
+ 	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) \
+ 		PACKAGE=quake-shareware FOLDER=id1
+ 	make -f quake.mk LONG="Quake mission pack 1: Scourge of Armagon" \
+ 		VERSION=$(VERSION) PACKAGE=quake-armagon FOLDER=hipnotic
+ 	make -f quake.mk LONG="Quake mission pack 2: Dissolution of Eternity" \
+ 		VERSION=$(VERSION) PACKAGE=quake-dissolution FOLDER=rogue
 +	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION)
  	make -f rott.mk VERSION=$(VERSION)
 -	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
 -		CONTROLIN=heretic/DEBIAN/control.in \
 -		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic
 +	make -f wolf3d.mk VERSION=$(VERSION)
  
  $(DIRS):
  	mkdir -p $@
@@@ -30,14 -34,19 +36,20 @@@ clean
  		LONG="Final Doom: TNT: Evilution" VERSION=$(VERSION) clean
  	make -f doom-common.mk IWAD=plutonia \
  		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION) clean
 -	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION) clean
 +	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
 +		CONTROLIN=heretic/DEBIAN/control.in \
 +		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic clean
- 	make -f quake.mk LONG="Quake" VERSION=$(VERSION) clean PACKAGE=quake-registered
- 	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) PACKAGE=quake-shareware clean
+ 	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered \
+ 		FOLDER=id1 clean
+ 	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) \
+ 		PACKAGE=quake-shareware FOLDER=id1 clean
+ 	make -f quake.mk LONG="Quake mission pack 1: Scourge of Armagon" \
+ 		VERSION=$(VERSION) PACKAGE=quake-armagon FOLDER=hipnotic clean
+ 	make -f quake.mk LONG="Quake mission pack 2: Dissolution of Eternity" \
+ 		VERSION=$(VERSION) PACKAGE=quake-dissolution FOLDER=rogue clean
 +	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION) clean
  	make -f rott.mk VERSION=$(VERSION) clean
 -	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
 -		CONTROLIN=heretic/DEBIAN/control.in \
 -		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic clean
 +	make -f wolf3d.mk VERSION=$(VERSION) clean
  	for d in $(DIRS); do [ ! -d "$$d" ]  || rmdir "$$d"; done
  
  .PHONY: default clean
diff --combined debian/changelog
index cd5766b,18bf192..9bf2ba1
--- a/debian/changelog
+++ b/debian/changelog
@@@ -1,10 -1,16 +1,15 @@@
- game-data-packager (26) UNRELEASED; urgency=low
 -game-data-packager (27) experimental; urgency=low
 -
 -  * Add support for Quake mission packs (Scourge of Armagon and
 -    Dissolution of Eternity).
 -
 - -- Stephen Kitt <steve at sk2.org>  Thu, 14 Apr 2011 00:51:16 +0200
 -
 -game-data-packager (26) experimental; urgency=low
++game-data-packager (26) unstable; urgency=low
  
++  [ Jon Dowland ]
    * Add Heretic support.
    * Add Quake support.
 +  * Add wolf3d support, Limited to shareware data.
 +
-  -- Jon Dowland <jmtd at debian.org>  Thu, 07 Apr 2011 22:32:22 +0100
++  [ Steven Kitt ]
++  * Add support for Quake mission packs (Scourge of Armagon and
++    Dissolution of Eternity).
+ 
 - -- Jon Dowland <jmtd at debian.org>  Thu, 07 Apr 2011 22:32:22 +0100
++ -- Jon Dowland <jmtd at debian.org>  Sat, 30 Apr 2011 19:34:03 +0100
  
  game-data-packager (25) unstable; urgency=low
  
diff --combined lib/game-data-packager-shared
index 48bc30d,490685b..129d9af
--- a/lib/game-data-packager-shared
+++ b/lib/game-data-packager-shared
@@@ -43,19 -43,6 +43,19 @@@ warn() 
  	echo "WARNING: $*" >&2
  }
  
 +## die(string,retcode)
 +##      end the program, complaining with string on stderr
 +##      and returning retcode if supplied, 2 if not.
 +die() { 
 +    if [ $# -lt 2 ]; then
 +        RET=2
 +    else
 +        RET=$2
 +    fi
 +	echo $0: $1 >&2
 +	exit $RET
 +}
 +
  ## verify_md5sum(file,sum)
  ##      calculates the md5sum of file and compares it to sum.
  ##      if the sum doesn't match, complains on stderr and causes the program
@@@ -64,7 -51,12 +64,7 @@@ verify_md5sum() 
  	FILE=$1
  	GOODSUM=$2
  	SUM=`md5sum $FILE|cut -d' ' -f1`
 -	if [ "$SUM" != "$GOODSUM" ]; then
 -		echo "error: $FILE's md5 checksum is unknown." >&2
 -		echo "perhaps it is corrupted?" >&2
 -		echo "quitting." >&2
 -		exit 1
 -	fi
 +	[ "$SUM" = "$GOODSUM" ] || die "$FILE's md5 checksum is unknown"
  }
  
  ## verify_directory(dir)
@@@ -72,7 -64,10 +72,7 @@@
  ##      and causes the program to exit.
  verify_directory() {
  	DIR=$1
 -	if [ ! -d "$DIR" ]; then
 -		echo "error: $DIR is not a directory. Quitting." >&2
 -		exit 1
 -	fi
 +	[ -d "$DIR" ] || die "$DIR is not a directory" 
  }
  
  ## verify_file(file)
@@@ -80,7 -75,23 +80,7 @@@
  ##      and causes the program to exit.
  verify_file() {
  	FILE=$1
 -	if [ ! -f "$FILE" ]; then
 -		echo "error: $FILE is not a file. Quitting." >&2
 -		exit 1
 -	fi
 -}
 -
 -## die(string,retcode)
 -##      end the program, complaining with string on stderr
 -##      and returning retcode if supplied, 2 if not.
 -die() { 
 -    if [ $# -lt 2 ]; then
 -        RET=2
 -    else
 -        RET=$2
 -    fi
 -	echo $0: $1 >&2
 -	exit $RET
 +	[ -f "$FILE" ] || die "$FILE is not a file"
  }
  
  ## slipstream(deb,relpath,file1,file2...)
@@@ -242,7 -253,8 +242,7 @@@ gdp_unzip() 
      if which 7za >/dev/null; then
          debug "using 7za"
          7za e -y "$zipfile" "$@" >/dev/null
 -    fi
 -    if which 7z >/dev/null; then
 +    elif which 7z >/dev/null; then
          debug "using 7z"
          7z e -y "$zipfile" "$@" >/dev/null
      else
@@@ -250,3 -262,11 +250,11 @@@
          unzip -qqo "$zipfile" "$@"
      fi
  }
+ 
+ ## ifind(base,file)
+ ##      case-insensitive search for file in base
+ ifind() {
+   base="$1"
+   file="$2"
+   find "$base" -iwholename "$base/$file"
+ }

-- 
Installer for game data files



More information about the Pkg-games-commits mailing list